apiVersion: apps/v1
kind: Deployment
metadata:
  name: wazuh-vat-evidence-collector
  labels:
    app: wazuh-vat-evidence-collector
spec:
  selector:
    matchLabels:
      app: wazuh-vat-evidence-collector
  template:
    metadata:
      labels:
        app: wazuh-vat-evidence-collector
    spec:
      volumes:
        - name: config-volume
          configMap:
            name: wazuh-vat-evidence-collector-config
      containers:
        - image: optima-medina-docker-dev.artifact.tecnalia.com/wp3/t32/wazuh-vat-evidence-collector:latest
          name: wazuh-vat-evidence-collector
          imagePullPolicy: Always
          volumeMounts:
            - name: config-volume
              mountPath: /evidence-collector/constants.json
              subPath: constants.json
          env:
            - name: TIME
              value: {{time}}
      imagePullSecrets:
        - name: regcred
